Qt Cryptographic Architecture: QCA::PKCS12Context Class Reference

Qt Cryptographic Architecture

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
QCA::PKCS12Context Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::PKCS12Context:
[legend]

## Public Member Functions
virtual ConvertResult | fromPKCS12 (const QByteArray &in, const SecureArray &passphrase, QString *name, QList< CertContext * > *chain, PKeyContext **priv) const =0
| PKCS12Context (Provider *p)
virtual QByteArray | toPKCS12 (const QString &name, const QList< const CertContext * > &chain, const PKeyContext &priv, const SecureArray &passphrase) const =0

## Additional Inherited Members
Protected Member Functions inherited from QCA::BasicContext
| BasicContext (Provider *parent, const QString &type)
| BasicContext (const BasicContext &from)

## Detailed Description

PKCS#12 provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want KeyBundle instead.

## Constructor & Destructor Documentation

QCA::PKCS12Context::PKCS12Context | ( | Provider * | p | ) |
| inline

Standard constructor.

Parameters

  p | the Provider associated with this context

## Member Function Documentation

virtual QByteArray QCA::PKCS12Context::toPKCS12 | ( | const QString & | name,
|  | const QList< const CertContext * > & | chain,
|  | const PKeyContext & | priv,
|  | const SecureArray & | passphrase
| ) |  | const
| pure virtual

Create PKCS#12 DER output based on a set of input items.

Returns an empty array on error.

Parameters

  name | the friendly name of the data
  chain | the certificate chain to store
  priv | the private key to store
  passphrase | the passphrase to encrypt the PKCS#12 data with

virtual ConvertResult QCA::PKCS12Context::fromPKCS12 | ( | const QByteArray & | in,
|  | const SecureArray & | passphrase,
|  | QString * | name,
|  | QList< CertContext * > * | chain,
|  | PKeyContext ** | priv
| ) |  | const
| pure virtual

Read PKCS#12 DER input and convert it into a set of output items.

The caller is responsible for deleting the returned items.

Returns QCA::ConvertGood if successful, otherwise some error value.

Parameters

  in | the input data
  passphrase | the passphrase needed to decrypt the input data
  name | the destination string for the friendly name
  chain | the destination list for the certificate chain
  priv | address of a pointer to accept the private key

The documentation for this class was generated from the following file:

- qcaprovider.h